/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-08-17
 * 描述            ：二级接口-宝信罩退炉PDI-L2删除
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.anneal.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.anneal.mapper.IfBaf01RevokeL2Mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_BAF01_REVOKE_L2", namespace=IfBaf01RevokeL2Mapper.class)
public class IfBaf01RevokeL2 extends BaseVO implements Serializable {
	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 序号
	 */ 
	@Column
	private Long seq_no;
	public Long getSeq_no() {
		return this.seq_no;
	}
	public void setSeq_no(Long seq_no) {
		this.seq_no = seq_no;
	}

	/** 
	 * 机组代码（区分厂家：艾伯纳、中冶南方、宝信）
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 入口钢卷号
	 */ 
	@Column
	private String in_mat_no;
	public String getIn_mat_no() {
		return this.in_mat_no;
	}
	public void setIn_mat_no(String in_mat_no) {
		this.in_mat_no = in_mat_no;
	}

	/** 
	 * 原因描述
	 */ 
	@Column
	private String cause_desc;
	public String getCause_desc() {
		return this.cause_desc;
	}
	public void setCause_desc(String cause_desc) {
		this.cause_desc = cause_desc;
	}

}
